namespace Tutor_RT
{
    public class Light : Source
    {
        public V3 position;
        public Color_0_to_1 color;

        #region Constructors

        public Light()
        {
            position = new V3();
            color = new Color_0_to_1(0,1,1,1);
        }

        public Light(V3 pos, Color_0_to_1 col)
        {
            position = pos;
            color = col;
        }

        public override V3 get_p    //access to A
        {
            get { return position; }
        }

        public override Color_0_to_1 getColor    //access to u
        {
            get { return color; }
        }

        #endregion
    }
}
